Name:          java-libpst
Version:       0.8.1
Release:       9%{?dist}
Summary:       A pure Java library for the reading of Outlook PST and OST files
# see https://github.com/rjohnsondev/java-libpst/issues/23
License:       ASL 2.0 and LGPLv3
URL:           https://github.com/rjohnsondev/java-libpst/
Source0:       https://github.com/rjohnsondev/java-libpst/archive/%{version}.tar.gz
Source1:       https://www.gnu.org/licenses/lgpl.txt
BuildRequires: mvn(junit:junit)
BuildRequires: maven-local
BuildArch:     noarch

%description
A library to read PST files with java,
without need for external libraries.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
find -name '*.class' -print -delete
find -name '*.jar' -print -delete

%pom_xpath_set "pom:project/pom:version" %{version}
cp -p %{SOURCE1} LICENSE.LGPL.txt
sed -i 's/\r//' LICENSE.*.txt README.txt

%mvn_file com.pff:%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md README.txt
%license LICENSE.APACHE-2.0.txt LICENSE.LGPL.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.APACHE-2.0.txt LICENSE.LGPL.txt

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Mar 13 2015 gil cattaneo <puntogil@libero.it> 0.8.1-4
- fix Url tag

* Fri Feb 06 2015 gil cattaneo <puntogil@libero.it> 0.8.1-3
- introduce license macro

* Fri Oct 31 2014 gil cattaneo <puntogil@libero.it> 0.8.1-2
- update license tag

* Thu Sep 25 2014 gil cattaneo <puntogil@libero.it> 0.8.1-1
- initial rpm
